<?php
namespace App\Models\Stores;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use App\Models\Menus\MenusModel;

class StoreMenusModel extends Model
{
    protected $table = 'phppos_location_items';
    protected $primaryKey = false;
    public $incrementing = false;
    public $timestamps = false;

    public function menu_details(){
        return $this->belongsTo(MenusModel::class,'item_id','item_id');
    }

    public function store_details(){
        return $this->belongsTo(StoresModel::class,'location_id','location_id');
    }
}
